Subject: Re: Still using "git whatchanged"

From: [email-masked]
Date: Tue, 02 Sep 2025 19:38:31 +0300

On Tue, Sep 2, 2025, at 19:29, Junio C Hamano wrote:
> [email-masked] writes:
>
>> apart from what's stated in the subject, I think it's not logical
>> to use "--raw" when I want to see what has changed.
>>
>> "git log" shows me the log. What's the raw part about wanting to
>> see what's changed?
>
> But that is what "git whatchanged" gives, so when one is so attached to
> what "git whatchanged" does, "--raw" is what we cite as "compatible"
> option.

My point was merely that IMO "raw" is not the best name for that option. When I specify "--raw" on the command line, I usually expect the program to output similar data than without that option, but of a less refined state or kind.

In this case "--raw" means "do the same thing as without --raw (i.e. git log), but _in_addition_ tell me which files changed". That's why I think it's not the best name for that option.

I'm not sure if this is the right forum for this discussion, but if I were asked, I'd vote to rename "--raw" to "--whatchanged" and be... almost happy with removing "git whatchanged" (insert tear-smiley here).